<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

//Consultar empresa
$sqlClien = "SELECT * FROM cliente WHERE idcliente=$idcliente_sms ORDER BY login";
$conClien = $bdSMS->consulta($sqlClien);
$resClien = $bdSMS->fetch_array($conClien);
$idcliente = $resClien['idcliente'];
$login = utf8_encode($resClien['login']);
$nombre_plano = utf8_encode($resClien['nombre_plano']);
$pass = $resClien['pass'];
$disponibles = $resClien['disponibles'];
$telefono = $resClien['telefono'];
$empresa = $resClien['empresa'];
$plan = $resClien['plan'];
$sqlPlan = "SELECT idPlan, nomPlan FROM planes WHERE idPlan=$plan ORDER BY nomPlan";
$conPlan = $bdSMS->consulta($sqlPlan);
$resPlan = $bdSMS->fetch_array($conPlan);
$nombre_plan_pin = $resPlan['nomPlan'];
                            
            
$gratis = $resClien['gratis'];
$fechaClienteIni = $resClien['fechaClienteIni'];
$fechaClienteFin = $resClien['fechaClienteFin'];

$id_fk_em = $resClien['id_fk_em'];
$sqlGrupo = "SELECT idemp, nom_empresa FROM empresa WHERE idemp=$id_fk_em ORDER BY nom_empresa";
$conGrupo = $bdSMS->consulta($sqlGrupo);
$resGrupo = $bdSMS->fetch_array($conGrupo);
$nom_empresa = $resGrupo['nom_empresa'];


$activo = $resClien['activo'];
$fecha_crea = $resClien['fecha_crea'];
$creado_por = $resClien['creado_por'];
$pass_visible = $resClien['pass_visible'];


//Consultar grupo

$array_cliente_pin[]=array('idcliente_pin'=>$idcliente, 'login_pin'=>$login, 'pass_pin'=>$pass, 'disponibles_pin'=>$disponibles, 'telefono_pin'=>$telefono, 'empresa_pin'=>$empresa, 'plan_pin'=>$plan, 'nombre_plan_pin'=>$nombre_plan_pin, 'gratis_pin'=>$gratis, 'fechaClienteIni_pin'=>$fechaClienteIni, 'fechaClienteFin_pin'=>$fechaClienteFin, 'id_fk_em_pin'=>$id_fk_em, 'nom_empresa'=>$nom_empresa, 'activo_pin'=>$activo, 'fecha_crea_pin'=>$fecha_crea, 'creado_por_pin'=>$creado_por, 'pass_visible_pin'=>$pass_visible);



/*echo "<br><br>";
echo "array_usuario_rela: ";
echo('<pre>');
var_dump($array_cliente_pin);
echo('</pre>');*/

//Vista de la relación de datos
require("sms_consul_cliente_pin_vista.php");
?>